import request from '@/utils/request'

// 查询停机类型信息列表
export function listShutType(query) {
  return request({
    url: '/dms/shutType/list',
    method: 'get',
    params: query
  })
}

// 查询停机类型信息详细
export function getShutType(shutTypeId) {
  return request({
    url: '/dms/shutType/' + shutTypeId,
    method: 'get'
  })
}

// 新增停机类型信息
export function addShutType(data) {
  return request({
    url: '/dms/shutType',
    method: 'post',
    data: data
  })
}

// 修改停机类型信息
export function updateShutType(data) {
  return request({
    url: '/dms/shutType',
    method: 'put',
    data: data
  })
}

// 删除停机类型信息
export function delShutType(shutTypeId) {
  return request({
    url: '/dms/shutType/' + shutTypeId,
    method: 'delete'
  })
}
